◇ 哎.瘋.人.網 ◇網站現已遷移至新的版面 Apple.ORG.HK Apple人網



 ◇ 哎.瘋.人.網 ◇  Development◇哎瘋程式搞作◇  

顯示適合列印的版本 顯示適合列印的版本  把這個主題寄給朋友 寄給朋友
按平行模式觀看按樹型模式觀看前一篇主題后一篇主題
前一頁  1   2  后一頁
作者 NMobileInstallation Patch for firmware 2.0/2.0.1/2.0.2/2.1/2.2/2.2.1
javacom




版主

文章: 3083
于 2008-08-16 10:10  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
This is a binary patch for MobileInstallation. After installation of this package, you can use build & go your Xcode project using the Xcode Template

The patch (version 2.2.1) will first back up your MobileInstallation to MobileInstallation.bak then patch it and fakesign it based on the iPhone firmware version. Currently it supports 2.0/2.0.1/2.0.2/2.1/2.2/2.2.1

I have tested it to build & go in Xcode for iPhone firmware 2.1/2.2

A package called "Link Identity Editor" will be installed before installation of this package.

To install this package
(1) Add source in Cydia (if you have not yet done so), pls remember there is a slash (/) at the end of the url

http://cydia.iphone.org.hk/apt/


(2) Install MobileInstallation Patch version 2.2.1 in Section "Tweaks"

(3) This package supports uninstallation.

The method of patch was first created by a developer from the community and used it for the Xcode program build and debug. But, the same patch was later diverted to other usages which I would not support.


javacom 修改于 2009-01-28 23:06

http://www.cnepub.com/discuz/?fromuid=47472

香港交通快拍 v1.1 Preview
http://hk.youtube.com/watch?v=1BHvTC5-QTc

開啟隱藏的表情符號,不用 jailbreak



iPhone 3G ◇哎瘋生滋◇ 常見問題集
javacom




版主

文章: 3083
于 2008-08-24 18:57  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
This patch is updated to support 2.0.2


garfield





文章: 84
于 2008-09-13 23:22  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
is that work for ipod touch?


javacom




版主

文章: 3083
于 2008-09-14 00:08  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
garfield wrote:
is that work for ipod touch?


I did not try this on iPod Touch


javacom




版主

文章: 3083
于 2008-09-14 13:34  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
This patch now updated to support 2.1 firmware on iPhone


gaktung





文章: 94
于 2008-09-14 15:19  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
唔好意思,我唔知有冇理解錯。

如果我用 Apple SDK + Pawned iPhone 2.02 / 2.1,我除左要用哩個 Patch 之外,我駛唔駛跟住 http://www.iphone.org.hk/cgi-bin/ch/topic_show.cgi?id=7821&h=1&bpg=1&age=0 又或 http://www.hackint0sh.org/forum/showpost.php?p=342736&postcount=53 去改我個 Xcode project?

我試左好多次都整唔到個自製 App 落 iPhone。其實我只係想將自製既 App (by Apple official SDK) up 上 Pawned iPhone 用。

謝謝回答。


javacom




版主

文章: 3083
于 2008-09-14 15:36  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
If you use the latest sdk (Xcode 3.1.1, that is the version that supports both 2.0.x and 2.1 firmware) . You can only choose Project settings (2.0) for build & go to device only and use my Xcode template as mentioned.
If you choose you build to simulator or 2.1, you will get an error of missing provisioning profile, which I have not find a fix yet.

If you use the last final sdk (that is the version that supports 2.0 firmware only), you can have a workaround to remove the error message as mentioned in my hackint0sh thread.

For build & go (if you are not registered $99 developer program) in Xcode project, you need to use my Xcode Template and follow the instructions as in hackint0sh or here plus mobileinstallation patch in your iPhone and this patch is created for this purpose.


javacom 修改于 2008-09-14 15:38
gaktung





文章: 94
于 2008-09-14 16:11  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
我用 Xcode 3.1.1 + Pwned iPhone 2.1 + NOT registered $99 developer。

1) Patch iPhone by MobileInstalltion

2) Sign an own signature (iPhone Pwned Developer) http://developer.apple.com/documentation/Security/Conceptual/CodeSigningGuide/Procedures/chapter_3_section_2.html

3) 用你既 Xcode Templete
curl http://cocoatouchdev.com/javacom/ToolChainTemplate_v31.zip > ToolChainTemplate_v31.zip
unzip -o ToolChainTemplate_v31.zip -d "/Developer/Platforms/iPhoneOS.platform/Developer/Library/Xcode/Project Templates"

咁就夠?


javacom




版主

文章: 3083
于 2008-09-14 16:23  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
gaktung wrote:
我用 Xcode 3.1.1 + Pwned iPhone 2.1 + NOT registered $99 developer。

1) Patch iPhone by MobileInstalltion

2) Sign an own signature (iPhone Pwned Developer) http://developer.apple.com/documentation/Security/Conceptual/CodeSigningGuide/Procedures/chapter_3_section_2.html

3) 用你既 Xcode Templete
curl http://cocoatouchdev.com/javacom/ToolChainTemplate_v31.zip > ToolChainTemplate_v31.zip
unzip -o ToolChainTemplate_v31.zip -d "/Developer/Platforms/iPhoneOS.platform/Developer/Library/Xcode/Project Templates"

咁就夠?


Yes, you can follow these 3 simple steps but only use project setting for "2.0" + build & go to "device" for Xcode 3.1.1

If you build & go to "iPhone Simulator" or use project setting 2.1 , you will get "error for missing provisioning profile"
And if you have done that, even if you go back to use project setting 2.0 and build to device, you still get the error. I have not find the solution yet for this.


javacom 修改于 2008-09-14 16:25
gaktung





文章: 94
于 2008-09-14 16:33  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
If you build & go to "iPhone Simulator" or use project setting 2.1 , you will get "error for missing provisioning profile"
And if you have done that, even if you go back to use project setting 2.0 and build to device, you still get the error. I have not find the solution yet for this.


我諗就係哩個原因,所以我跟足都仲會出 missing provisioning profile error。

請問係咪得哩個方法先可以免 US$99 去deploy 用 Apple SDK 寫既 App 去 iPhone?


javacom




版主

文章: 3083
于 2008-09-14 16:51  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
gaktung wrote:
If you build & go to "iPhone Simulator" or use project setting 2.1 , you will get "error for missing provisioning profile"
And if you have done that, even if you go back to use project setting 2.0 and build to device, you still get the error. I have not find the solution yet for this.


我諗就係哩個原因,所以我跟足都仲會出 missing provisioning profile error。

請問係咪得哩個方法先可以免 US$99 去deploy 用 Apple SDK 寫既 App 去 iPhone?


you can use iPhone GCC
http://www.iphone.org.hk/cgi-bin/ch/topic_show.cgi?id=7107

or use Linux/Windows to cross compile
http://www.saurik.com/id/4


gaktung





文章: 94
于 2008-09-18 14:21  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
攪左幾日, 卒之攪掂喇.

除左要 MobileInstallation + signature + javacom template, 最後要加埋 http://www.246tnt.com/iPhone/#xcode 裡面果段 gen_entitlements.py 野先得.

Thank you for help~ smile

今日放工之後試埋你果個 info.plist for SDK 2.1 先~


javacom




版主

文章: 3083
于 2008-09-18 14:45  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
You don't need gen_entitlements.py
if you use my template and my updated info.plist trick for SDK2.1


javacom




版主

文章: 3083
于 2008-11-24 00:45  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
The MobileInstallation patch is updated to support firmware 2.2

and in the source http://cydia.iphone.org.hk/apt/

and in the Tweaks Section



http://www.cnepub.com/discuz/?fromuid=47472

香港交通快拍 v1.1 Preview
http://hk.youtube.com/watch?v=1BHvTC5-QTc

開啟隱藏的表情符號,不用 jailbreak



iPhone 3G ◇哎瘋生滋◇ 常見問題集
gaktung





文章: 94
于 2008-11-24 13:48  觀看該用戶的個人資料  搜尋這個用戶發表的所有文章  把文章內容复制到剪貼板。
只适用于 IE :-)
Thanks~



 ◇ 哎.瘋.人.網 ◇  Development◇哎瘋程式搞作◇  

顯示適合列印的版本 顯示適合列印的版本  把這個主題寄給朋友 寄給朋友
按平行模式觀看按樹型模式觀看前一篇主題后一篇主題
前一頁  1   2  后一頁
  看過的文章
  新的文章
  被刪除的文章
跳轉到

發表新的文章回覆主題


[錯誤信息]
Table './iphone1/ut_online' is marked as crashed and should be repaired

請通知討論區管理員 <kk@hkfoot.com>。